Bug 1729017 - SELinux is preventing cp from using the 'setfscreate' accesses on a process.
Summary: SELinux is preventing cp from using the 'setfscreate' accesses on a process.
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: snapd
Version: 30
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Zygmunt Krynicki
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:49f880708eef76095539a427864...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-11 08:05 UTC by a.wellbrock
Modified: 2020-05-26 14:38 UTC (History)
23 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-26 14:38:42 UTC
Type: ---


Attachments (Terms of Use)

Description a.wellbrock 2019-07-11 08:05:47 UTC
Description of problem:
SELinux is preventing cp from using the 'setfscreate' accesses on a process.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that cp should be allowed setfscreate access on processes labeled snappy_t by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c 'cp' --raw | audit2allow -M my-cp
# semodule -X 300 -i my-cp.pp

Additional Information:
Source Context                system_u:system_r:snappy_t:s0
Target Context                system_u:system_r:snappy_t:s0
Target Objects                Unknown [ process ]
Source                        cp
Source Path                   cp
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.14.3-39.fc30.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 5.1.15-300.fc30.x86_64 #1 SMP Tue
                              Jun 25 14:07:22 UTC 2019 x86_64 x86_64
Alert Count                   1
First Seen                    2019-07-10 11:48:02 CEST
Last Seen                     2019-07-10 11:48:02 CEST
Local ID                      ed86308a-9853-4d39-b5b6-944292b9668c

Raw Audit Messages
type=AVC msg=audit(1562752082.750:1900): avc:  denied  { setfscreate } for  pid=1859 comm="cp" scontext=system_u:system_r:snappy_t:s0 tcontext=system_u:system_r:snappy_t:s0 tclass=process permissive=1


Hash: cp,snappy_t,snappy_t,process,setfscreate

Version-Release number of selected component:
selinux-policy-3.14.3-39.fc30.noarch

Additional info:
component:      selinux-policy
reporter:       libreport-2.10.0
hashmarkername: setroubleshoot
kernel:         5.1.15-300.fc30.x86_64
type:           libreport

Comment 1 Patrick Reinhart 2019-09-10 19:24:41 UTC
Description of problem:
Got this error after installing signal-desktop using snap.

sudo dnf  install snapd and then using the sofware application to install signal-desktop.

Version-Release number of selected component:
selinux-policy-3.14.3-45.fc30.noarch

Additional info:
reporter:       libreport-2.10.1
hashmarkername: setroubleshoot
kernel:         5.2.11-200.fc30.x86_64
type:           libreport

Comment 2 satanin dmitry 2019-09-23 14:36:54 UTC
Version-Release number of selected component:
selinux-policy-3.14.3-45.fc30.noarch

Additional info:
reporter:       libreport-2.10.1
hashmarkername: setroubleshoot
kernel:         5.2.15-200.fc30.x86_64
type:           libreport

Comment 3 Michael 2019-10-07 13:17:02 UTC
Description of problem:
no se que fue lo que causo el problema pero tal vez fue un ataque de los cyber delincuentes 

Version-Release number of selected component:
selinux-policy-3.14.3-46.fc30.noarch

Additional info:
reporter:       libreport-2.10.1
hashmarkername: setroubleshoot
kernel:         5.2.17-200.fc30.x86_64
type:           libreport

Comment 4 Louis C Seifert III 2019-10-14 14:13:31 UTC
Description of problem:
Started up my computer and shortly after logging in I received this error. It doesn't seem to have a critical effect on the system, so this appears low priority , imho. one thing I would note, I did brief research there were comments on two technologies that might have something to do with it, I have a USB hard disk connected and it does seem to happen when that is connected, the second is apache httpd is running on my system and the http port is open, it is behind a firewall, and there is no content other than a basic page. 

Version-Release number of selected component:
selinux-policy-3.14.3-46.fc30.noarch

Additional info:
reporter:       libreport-2.10.1
hashmarkername: setroubleshoot
kernel:         5.2.18-200.fc30.x86_64
type:           libreport

Comment 5 Jose Luis 2019-12-09 19:45:31 UTC
Similar problem has been detected:

Al iniciar spotify se da el error.

hashmarkername: setroubleshoot
kernel:         5.3.13-200.fc30.x86_64
package:        selinux-policy-3.14.3-52.fc30.noarch
reason:         SELinux is preventing cp from using the 'setfscreate' accesses on a process.
type:           libreport

Comment 6 Tyler Moore 2019-12-17 00:47:33 UTC
Similar problem has been detected:

happens on startup. as soon as i sign in, i get this error.

hashmarkername: setroubleshoot
kernel:         5.3.15-200.fc30.x86_64
package:        selinux-policy-3.14.3-53.fc30.noarch
reason:         SELinux is preventing cp from using the 'setfscreate' accesses on a process.
type:           libreport

Comment 7 shawnsdservice 2019-12-20 04:39:11 UTC
Similar problem has been detected:

I turned my Computer on

hashmarkername: setroubleshoot
kernel:         5.3.12-200.fc30.x86_64
package:        selinux-policy-3.14.3-52.fc30.noarch
reason:         SELinux is preventing cp from using the 'setfscreate' accesses on a process.
type:           libreport

Comment 8 NMueller 2020-01-30 10:11:59 UTC
Similar problem has been detected:

It happened after logging into Gnome. I recently installed snap and riot-web.

hashmarkername: setroubleshoot
kernel:         5.4.12-100.fc30.x86_64
package:        selinux-policy-3.14.3-53.fc30.noarch
reason:         SELinux is preventing cp from using the 'setfscreate' accesses on a process.
type:           libreport

Comment 9 Ben Cotton 2020-04-30 20:27:42 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 10 Ben Cotton 2020-05-26 14:38:42 UTC
Fedora 30 changed to end-of-life (EOL) status on 2020-05-26. Fedora 30 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.